ZERO(4S)

NAME
zero - source of zeroes

SYNOPSIS
None; included with standard system.

DESCRIPTION

A zero special file is a source of zeroed unnamed memory.

Reads from a zero special file always return a buffer full of zeroes. The file is of infinite length.

Writes to a zero special file are always successful, but the data written is ignored.

Mapping a zero special file creates a zero-initialized unnamed memory object of a length equal to the length of the mapping and rounded up to the nearest page size as returned by getpagesize(2). Multiple processes can share such a zero special file object provided a common ancestor mapped the object MAP_SHARED.

FILES
/dev/zero

SEE ALSO
fork(2V), getpagesize(2), mmap(2)